
D4Science Infrastructure - Task #11378

Upgrade accounting framework on nodes running with Java7 and with a distribution version lower

than 2.1.3-4.8.0

Mar 07, 2018 11:30 AM - Roberto Cirillo

Status: Closed Start date: Mar 07, 2018

Priority: High Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Upgrade document-store-lib-couchbase

to 1.5.0

  

Infrastructure: Production   

Description

We should replace the following libraries:

accounting-lib

document-store-lib

document-store-lib-couchbase

 with the following ones:

accounting-lib

document-store-lib

document-store-lib-accounting-service

 These artifacts will be taken from the following repository: gcube-staging-java7.

The nodes involved in this upgrade are the following:

registry.d4science.org

wps-statistical.d4science.org

geonetwork1-p-d4s.d4science.org

geonetwork-aquacultureatlasgeneration.d4science.org

tagme.d4science.org

Related issues:

Related to D4Science Infrastructure - Task #11377: Upgrade nodes with distrib... Closed Mar 07, 2018

History

#1 - Mar 07, 2018 12:46 PM - Roberto Cirillo

- Related to Task #11377: Upgrade nodes with distribution version lower than 2.1.3-4.8.0 added

#2 - Mar 07, 2018 12:48 PM - Roberto Cirillo

- Status changed from New to In Progress

- % Done changed from 0 to 10

wps-statistical.d4science.org has been correctly upgraded.

registry.d4science.org could me moved to #11377 list, it's needed to test it before in dev instance hosted on node10-d-d4s.d4science.org.

#3 - Mar 13, 2018 11:17 AM - Roberto Cirillo

geonetwork1-p-d4s.d4science.org done

#4 - Mar 13, 2018 11:46 AM - Roberto Cirillo

- % Done changed from 10 to 80

geonetwork-aquacultureatlasgeneration.d4science.org done

#5 - Mar 13, 2018 12:20 PM - Roberto Cirillo
https://redmine.dev.d4science.org/issues/11377


- Status changed from In Progress to Closed

- % Done changed from 80 to 100

tagme.d4science.org done

#6 - Mar 15, 2018 11:06 AM - Roberto Cirillo

- Status changed from Closed to In Progress

- % Done changed from 100 to 50

I'm going to reopen this ticket because I've notice that the latest accounting libraries has some dependencies (jackson*) that are not needed in the

previous distributions. Consequently, these dependencies should be added to all the previous distribution running with Java7. 

#7 - Mar 15, 2018 11:13 AM - Roberto Cirillo

More precisely we need to add the following dependencies:

jackson-annotations-2.6.0.jar  jackson-core-2.6.0.jar  jackson-core-asl-1.9.13.jar  jackson-databind-2.6.0.jar

  jackson-mapper-asl-1.9.13.jar

 to all  the distributions lower than release 2.1.2-4.5.0-146408. In these cases the dependencies above should be compiled in Java7

#8 - Mar 15, 2018 12:29 PM - Roberto Cirillo

- % Done changed from 50 to 100

All the containers have been upgraded

#9 - Mar 15, 2018 12:30 PM - Roberto Cirillo

- Status changed from In Progress to Closed
